%global debug_package %{nil}

Name:           ublue-recipes
Version:        0.1.1
Release:        1%{?dist}
Summary:        Shared Ujust recipes

License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages.git#3e95d924c8d7b59b10324841b333285cef974332:packages/ublue-recipes
Source:         packages-packages-ublue-recipes-3e95d924.tar.gz

Recommends:     glow
Recommends:     gum
Requires:       ublue-os-just

%description
Shared ujust recipes for Universal Blue systems

%prep
%setup -T -b 0 -q -n packages-packages-ublue-recipes

%build
for file in src/recipes/*.just ; do
	cat <<EOF >> recipes.just

########################
### $(basename $file)
########################

EOF
	cat $file >> recipes.just
done

%install
install -Dm0644 -t %{buildroot}/%{_datadir}/ublue-os/recipes recipes.just

# Breaks the build on te CentOS default chroot on COPR, we need to enable EPEL
# %check
# just --unstable --fmt --check -f recipes.just

%files
%{_datadir}/ublue-os/recipes/recipes.just

%changelog
%autochangelog
